net.dontdrinkandroot.visualization.placement.graph

## Class FRPlacement2<V,E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.placement.graph.FRPlacement2<V,E>

All Implemented Interfaces:
  VertexPlacement<V,E>, Placement

    public class FRPlacement2<V,E>
    extends Object
    implements VertexPlacement<V,E>

### Constructor Summary

Constructors
Constructor and Description
`FRPlacement2()`

### Method Summary

Methods
`org.slf4j.Logger` `getLogger()`
`void` `place(edu.uci.ics.jung.graph.Graph<V,E> g, Map<V,VisualItem> vertexMap)`
`void` `setCoolDownFactor(double coolDownFactor)`
`void` `setEdgeStrengthTransformer(org.apache.commons.collections15.Transformer<E,Double> edgeStrengthTransformer)`
`void` `setEdgeWeightTransformer(org.apache.commons.collections15.Transformer<E,Double> edgeWeightTransformer)`
`void` `setkFactor(double kFactor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FRPlacement2

    public FRPlacement2()

### Method Detail

#### getLogger

    public org.slf4j.Logger getLogger()

#### setEdgeStrengthTransformer

    public void setEdgeStrengthTransformer(org.apache.commons.collections15.Transformer<E,Double> edgeStrengthTransformer)

#### setEdgeWeightTransformer

    public void setEdgeWeightTransformer(org.apache.commons.collections15.Transformer<E,Double> edgeWeightTransformer)

#### setkFactor

    public void setkFactor(double kFactor)

#### setCoolDownFactor

    public void setCoolDownFactor(double coolDownFactor)

#### place

    public final void place(edu.uci.ics.jung.graph.Graph<V,E> g,
             Map<V,VisualItem> vertexMap)
                     throws PlacementException

Specified by:
  `place` in interface `VertexPlacement<V,E>`
Throws:
  `PlacementException`